#
# spec file for package libbaloowidgets
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define rname baloo-widgets

Name:           libbaloowidgets
Version:        4.14.3
Release:        4.2
Summary:        Framework for searching and managing metadata
License:        GPL-2.0+ and LGPL-2.1+
Group:          System/GUI/KDE
Source0:        %{rname}-%{version}.tar.xz
BuildRequires:  baloo-devel
BuildRequires:  cmake
BuildRequires:  kde4-filesystem
BuildRequires:  kfilemetadata-devel
BuildRequires:  libkde4-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
Baloo is a framework for searching and managing metadata

%package -n libbaloowidgets4
Summary:        KDE Core Libraries
Group:          System/GUI/KDE

%description -n libbaloowidgets4
This package contains the core libraries of the K Desktop Environment.

This package is absolutely necessary for using KDE applications.

%package devel
Summary:        Development package for Baloo Widgets
Group:          System/GUI/KDE
Requires:       baloo-devel
Requires:       libbaloowidgets4 = %{version}

%description devel
Development package for Baloo Widgets

%prep
%setup -q -n %{rname}-%{version}

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  %kde4_makeinstall -C build
  %kde_post_install

%post -n libbaloowidgets4 -p /sbin/ldconfig

%postun -n libbaloowidgets4 -p /sbin/ldconfig

%files -n libbaloowidgets4
%defattr(-,root,root)
%doc COPYING*
%{_kde4_libdir}/libbaloowidgets.so.*

%files devel
%defattr(-,root,root)
%{_kde4_includedir}/baloo/
%{_kde4_libdir}/cmake/BalooWidgets/
%{_kde4_libdir}/libbaloowidgets.so

%changelog
* Sun Nov  9 2014 tittiatcoke@gmail.com
- Update to 4.14.3
  * KDE 4.14.3 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.3.php
* Sun Oct 12 2014 tittiatcoke@gmail.com
- Update to 4.14.2
  * KDE 4.14.2 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.2.php
* Sat Sep 13 2014 tittiatcoke@gmail.com
- Update to 4.14.1
  * KDE 4.14.1 SC Bugfix Release
  * See http://www.kde.org/announcements/announce-4.14.1.php
* Fri Aug 15 2014 tittiatcoke@gmail.com
- Update to 4.14.0
  * KDE 4.14.0 SC Final Release
  * See http://www.kde.org/announcements/4.14/
* Thu Jul 17 2014 cgiboudeaux@gmx.com
- Update to 4.13.90
  * KDE 4.14 Beta 2 release
  * See http://www.kde.org/announcements/announce-4.14-beta2.php
* Thu Jul 10 2014 cgiboudeaux@gmx.com
- Update to 4.13.80
  * KDE 4.14 Beta 1 release
  * See http://www.kde.org/announcements/announce-4.14-beta1.php
* Sun Jun  8 2014 tittiatcoke@gmail.com
- Update to 4.13.2
  * KDE 4.13  release
  * See http://www.kde.org/announcements/announce-4.13.2.php
* Fri May  9 2014 tittiatcoke@gmail.com
- Update to 4.13.1
  * KDE 4.13.1  bug fix release
  * See http://www.kde.org/announcements/announce-4.13.1.php
* Fri Apr 11 2014 tittiatcoke@gmail.com
- Update to 4.13.0
  * KDE 4.13  release
  * See http://www.kde.org/announcements/4.13/
* Thu Mar 27 2014 tittiatcoke@gmail.com
- Update to 4.12.97
  * KDE 4.13 RC  release
  * See http://www.kde.org/announcements/announce-4.13-rc.php
* Thu Mar 20 2014 tittiatcoke@gmail.com
- Update to 4.12.95
  * KDE 4.13 Beta 3  release
  * See http://www.kde.org/announcements/announce-4.13-beta3.php
* Thu Mar 13 2014 tittiatcoke@gmail.com
- Update to 4.12.90
  * KDE 4.13 Beta 2  release
  * See http://www.kde.org/announcements/announce-4.13-beta2.php
* Fri Mar  7 2014 tittiatcoke@gmail.com
- Update to 4.12.80
  * KDE 4.13 Beta 1  release
  * See http://www.kde.org/announcements/announce-4.13-beta1.php
* Fri Mar  7 2014 tittiatcoke@gmail.com
- Update to 4.12.80
  * KDE 4.13 Beta 1  release
  * See http://www.kde.org/announcements/announce-4.13-beta1.php
* Thu Feb 27 2014 tittiatcoke@gmail.com
- Initial package for baloo-widgets. This is the replacement for
  nepomuk-widgets, but then based on the baloo framework
